/analytics/campaigns/{campaignId}/events Authentication
Send your organization API key as a Bearer credential.
Authorization: Bearer YOUR_API_KEY Path parameters
campaignId string required Query parameters
period string Allowed values: 7d, 1m, 3m, 6m, 1y, all
start_date string end_date string type string Allowed values: event, cohort
event event_types string[] Response
application/json Campaign event timeline retrieved successfully
labels string[] required ["2026-08-01", "2026-08-02"] series object[] required Show child attributes
series.name string required Allowed values: sent, opened, replied, bounced
series.data number[] required [80, 45] meta object required Show child attributes
meta.open_tracking_enabled boolean required Whether opened metrics are available for this campaign and tracking domain
true Invalid request body (e.g. missing required fields, or invalid field values)
message string[] required List of detailed validation or business error messages
["Name cannot be empty", "Field must be greater than 0"] error string required Short error description
Bad Request statusCode number required HTTP status code of the error
400 This request is unauthorized (either the Authorization header is missing or invalid, or the API key has been revoked)
message string[] required List of messages explaining why the request was unauthorized
["User is not authorized", "Invalid API key"] error string required Short error description
Unauthorized statusCode number required HTTP status code of the error
401 Campaign not found or inaccessible to this organization
message string[] required ["Campaign not found"] error string required Not Found statusCode number required 404 You have exceeded the rate limit. Please check the rate limit docs for more information.
message string[] required List of messages explaining the rate limiting issue
["Too many requests, please try again later"] error string required Short error description
Too Many Requests statusCode number required HTTP status code of the error
429 Analytics temporarily unavailable
message string[] required ["Analytics temporarily unavailable"] error string required Service Unavailable statusCode number required 503